routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function () {
    return view('dashboard.webs.index');
});
Route::get('/register/finish', function() {
  return view('auth.finish', ['message' => 'Waiting for verify!']);
});
Route::post('/send-email', 'Auth\ResetPasswordController@sendMail')->name('password.email');
Route::get('/send-email', function () {
  return view('auth.passwords.email');
})->name('password-reset');
Route::PATCH('reset-password/{token}', 'Auth\ResetPasswordController@resetPassword');
Route::get('reset-password', function() {
  return view('auth.passwords.reset');
});
Route::get('reset-password/finish', function() {
  return view('auth.finishReset');
});
Route::get('/send-email/finish', function() {
  return view('auth.passwords.finish-send-email');
} );

Route::group(['middleware' => ['get.menu']], function () {
  Route::get('/admin', function () {           return view('dashboard.homepage'); })->middleware('auth');

  Route::group(['middleware' => ['role:member']], function () {
    // Route::get('/colors', function () {     return view('dashboard.colors'); });
    // Route::get('/typography', function () { return view('dashboard.typography'); });
    // Route::get('/charts', function () {     return view('dashboard.charts'); });
    // Route::get('/widgets', function () {    return view('dashboard.widgets'); });
    Route::get('/404', function () {        return view('dashboard.404'); });
    Route::get('/500', function () {        return view('dashboard.500'); });
    Route::prefix('admin')->group(function () {
      Route::get('/changepassword', function() {
        return view('dashboard.admin.changePassword');
      });
      Route::PATCH('changepassword', 'UsersController@changePassword')->name('changepassword');
      Route::get('/member/{id}/profile/', 'UsersController@profile')->name('profile');
      Route::PATCH('/member/{id}/profile/', 'UsersController@updateProfile')->name('updateProfile');

      Route::prefix('blog')->group(function () {
        Route::get('/list', 'BlogController@index');
        Route::get('/create', 'BlogController@create');
        Route::post('create', 'BlogController@store')->name('admin.blog.create');
        Route::get('/edit/{id}', 'BlogController@edit');
        Route::PATCH('update/{id}', 'BlogController@update')->name('admin.blog.update');
        Route::delete('delete/{id}', 'BlogController@destroy')->name('admin.blog.delete');
        Route::get('/search', 'BlogController@search')->name('admin.blog.search');
        // Route::get('/collapse', function(){     return view('dashboard.base.collapse'); });

        // Route::get('/forms', function(){        return view('dashboard.base.forms'); });
        // Route::get('/jumbotron', function(){    return view('dashboard.base.jumbotron'); });
        // Route::get('/list-group', function(){   return view('dashboard.base.list-group'); });
        // Route::get('/navs', function(){         return view('dashboard.base.navs'); });

        // Route::get('/pagination', function(){   return view('dashboard.base.pagination'); });
        // Route::get('/popovers', function(){     return view('dashboard.base.popovers'); });
        // Route::get('/progress', function(){     return view('dashboard.base.progress'); });
        // Route::get('/scrollspy', function(){    return view('dashboard.base.scrollspy'); });

        // Route::get('/switches', function(){     return view('dashboard.base.switches'); });
        // Route::get('/tables', function () {     return view('dashboard.base.tables'); });
        // Route::get('/tabs', function () {       return view('dashboard.base.tabs'); });
        // Route::get('/tooltips', function () {   return view('dashboard.base.tooltips'); });
      });
      Route::prefix('category')->group(function () {
        Route::get('/list', 'CategoryController@index');
        Route::get('/search', 'CategoryController@search')->name('admin.category.search');
      });
    });
    // Route::prefix('icon')->group(function () {  // word: "icons" - not working as part of adress
    //     Route::get('/coreui-icons', function(){         return view('dashboard.icons.coreui-icons'); });
    //     Route::get('/flags', function(){                return view('dashboard.icons.flags'); });
    //     Route::get('/brands', function(){               return view('dashboard.icons.brands'); });
    // });
    Route::prefix('notifications')->group(function () {  
      // Route::get('/alerts', function(){   return view('dashboard.notifications.alerts'); });
      // Route::get('/badge', function(){    return view('dashboard.notifications.badge'); });
      // Route::get('/modals', function(){   return view('dashboard.notifications.modals'); });
    });
    Route::resource('notes', 'NotesController');
  });
  Auth::routes();

  Route::group(['middleware' => ['role:admin']], function () {
    Route::resource('admin/member',        'UsersController')->except( ['create', 'store'] );
    Route::resource('/admin/roles',        'RolesController');
    Route::get('admin/roles/move/move-up',      'RolesController@moveUp')->name('roles.up');
    Route::get('admin/roles/move/move-down',    'RolesController@moveDown')->name('roles.down');
    Route::prefix('menu/element')->group(function () {
      Route::get('/',             'MenuElementController@index')->name('menu.index');
      Route::get('/move-up',      'MenuElementController@moveUp')->name('menu.up');
      Route::get('/move-down',    'MenuElementController@moveDown')->name('menu.down');
      Route::get('/create',       'MenuElementController@create')->name('menu.create');
      Route::post('/store',       'MenuElementController@store')->name('menu.store');
      Route::get('/get-parents',  'MenuElementController@getParents');
      Route::get('/edit',         'MenuElementController@edit')->name('menu.edit');
      Route::post('/update',      'MenuElementController@update')->name('menu.update');
      Route::get('/show',         'MenuElementController@show')->name('menu.show');
      Route::get('/delete',       'MenuElementController@delete')->name('menu.delete');
    });
    Route::prefix('menu/menu')->group(function () {
      Route::get('/',         'MenuController@index')->name('menu.menu.index');
      Route::get('/create',   'MenuController@create')->name('menu.menu.create');
      Route::post('/store',   'MenuController@store')->name('menu.menu.store');
      Route::get('/edit',     'MenuController@edit')->name('menu.menu.edit');
      Route::post('/update',  'MenuController@update')->name('menu.menu.update');
      Route::get('/delete',   'MenuController@delete')->name('menu.menu.delete');
    });
    Route::prefix('admin')->group(function () {
      Route::prefix('category')->group(function () {
        Route::get('create', 'CategoryController@create');
        Route::post('create', 'CategoryController@store')->name('admin.category.create');
        Route::get('/edit/{id}', 'CategoryController@edit');
        Route::PATCH('update/{id}', 'CategoryController@update')->name('admin.category.update');
        Route::delete('delete/{id}', 'CategoryController@destroy')->name('admin.category.delete');
      });
    });
  });
});

resources/views/dashboard/admin/changePassword.blade.php
@extends('dashboard.blog')
@section('content')

<div class="container">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <form action="{{ route('changepassword') }}" method="POST">
          @csrf
          @method('PATCH')
        <div class="card-header">
          <strong>Member</strong> Information
        </div>
        <div class="card-body">
            @if(count($errors) > 0)
              <div class="alert alert-danger" role="alert">
                  @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                  @endforeach
              </div>
              @endif
            <div class="form-group row">
              <label class="col-md-3 col-form-label">Current Password</label>
              <div class="col-md-6">
                <input type="password" class="form-control" name="password_old" id="name" placeholder="Enter Current Password" required value="{{ old('password_old')}}">
              </div>
            </div>
            <div class="form-group row">
              <label class="col-md-3 col-form-label">New Password</label>
              <div class="col-md-6">
               <input type="password" class="form-control" name="password_new" id="name" placeholder="Enter New Password" required value="">
              </div>
            </div>
            <div class="form-group row">
              <label class="col-md-3 col-form-label"> Confirm Password</label>
              <div class="col-md-6">
               <input type="password" class="form-control" name="password_confirm" id="name" placeholder="Enter Confirm Password" required value="">
              </div>
            </div>
            </div>
            <div class="card-footer">
              <button class="btn btn-square btn-success btn-save" type="button" >Save</button>
                <div class="modal fade" id="successModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                  <div class="modal-dialog modal-success" role="document">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h4 class="modal-title">Save Blog</h4>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                      </div>
                      <div class="modal-body">
                        <p>Are you sure you want to save changes?</p>
                      </div>
                      <div class="modal-footer">
                        <button class="btn btn-secondary btn-square col-md-2" type="button" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-square btn-success col-md-2" value="upload">Save</button>
                      </div>
                    </div>
                    <!-- /.modal-content-->
                  </div>
                  <!-- /.modal-dialog-->
                </div>
              <button class="btn btn-square btn-danger" type="reset"> Cancel</button>
            </div>
          </form>
        </div>
    </div>
  </div>
</div>
@endsection

resources/views/dashboard/admin/profile.blade.php
@extends('dashboard.blog')
@section('content')
<div class="container-fluid">
   <!-- /.row-->
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header"><strong>Member</strong> Information</div>
        @if(isset($information))
        @foreach ($information as $item)
        <form class="form-horizontal" action="{{ route('updateProfile', $item->id) }}" method="POST" enctype="multipart/form-data">
          @method('PATCH')
          @csrf
        <div class="card-body">
            <div class="form-group row">
              <label class="col-md-3 col-form-label">Name</label>
              <div class="col-md-9">
               <input type="text" class="form-control" name="name" id="name" placeholder="Enter Your Name" value="{{ $item->name }}">
              </div>
            </div>
            <div class="form-group row">
              <label class="col-md-3 col-form-label" for="email">Email</label>
              <div class="col-md-9">
                <input class="form-control" id="email-input" type="email" disabled name="email" placeholder="Enter Email" autocomplete="email" value="{{ $item->email }}">
              </div>
            </div>
            <div class="form-group row">
              <label class="col-md-3 col-form-label" for="date_birth">Date of birth</label>
              <div class="col-md-9">
                <input class="form-control" id="date_birth" type="date" name="date_birth" placeholder="Date of birth" value="{{ date("Y-m-d", strtotime($item->userInfor->date_birth))}}">
              </div>
            </div>
            
            <div class="form-group row">
              <label class="col-md-3 col-form-label" for="">Marital Status</label>
              <div class="col-md-9">
                <div class="form-check form-check-inline mr-1">
                  <input class="form-check-input" id="inline-radio1" {{ $item->userInfor->marital == 0 ? 'checked': '' }} type="radio" value="0" name="marital">
                  <label class="form-check-label" for="inline-radio1">Single</label>
                </div>
                <div class="form-check form-check-inline mr-1">
                <input class="form-check-input" id="inline-radio2" {{ $item->userInfor->marital == 1 ? 'checked': '' }} type="radio" value="1" name="marital">
                  <label class="form-check-label" for="inline-radio2">Married</label>
                </div>
              </div>
            </div>

            <div class="form-group row">
              <label class="col-md-3 col-form-label" for="inputError2">Image</label>
              <div class="col-md-9">
                <input type="file" name="filename" class="file" accept="image/*">
                  <div class="input-group my-3">
                    <input type="text" class="form-control col-sm-3" disabled placeholder="Upload File" id="file">
                    <div class="input-group-append" >
                      <button type="button" class="browse btn btn-primary" >Browse...</button>
                    </div>
                  </div>
                  <div class="ml-2 col-sm-6" >
                    <img src="" id="preview" class="img-thumbnail browse img-thumbnail-disabled">
                    @if(isset($item) && $item->image)
                    <img src=" {{ url($item->image) }}" id="preview" class="img-thumbnail is-edit browse">
                    @else
                    <img src=" {{ asset('assets/img/no-image.png') }}" id="preview" class="img-thumbnail no-image browse">
                    @endif
                  </div>
                </div>
              </div>


            <div class="form-group row">
              <label class="col-md-3 col-form-label" for="number_phone">Number Phone</label>
              <div class="col-md-9">
                <input class="form-control" id="number-phone" type="number" name="number_phone" placeholder="Enter Number Phone" value="{{ $item->userInfor->number_phone}}">
              </div>
            </div>

            <div class="form-group row">
              <label class="col-md-3 col-form-label" for="address">Address</label>
              <div class="col-md-9">
                <textarea class="form-control" id="address" name="address" rows="9" placeholder="Enter number of house, street, district..">{{ $item->userInfor->address }}</textarea>
              </div>
            </div>
            
            <div class="form-group row">
              <label class="col-md-3 col-form-label" for="description">Descriptions</label>
              <div class="col-md-9">
                <textarea class="form-control" id="description" name="description" rows="9" placeholder="Enter Descriptions..">{{ $item->userInfor->description }}</textarea>
              </div>
            </div>
            <div class="card-footer">
              <button class="btn btn-square btn-success btn-save" type="button" >Save</button>
                <div class="modal fade" id="successModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                  <div class="modal-dialog modal-success" role="document">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h4 class="modal-title">Save Blog</h4>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                      </div>
                      <div class="modal-body">
                        <p>Are you sure you want to save changes?</p>
                      </div>
                      <div class="modal-footer">
                        <button class="btn btn-secondary btn-square col-md-2" type="button" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-square btn-success col-md-2" value="upload">Save</button>
                      </div>
                    </div>
                    <!-- /.modal-content-->
                  </div>
                  <!-- /.modal-dialog-->
                </div>
              <button class="btn btn-square btn-danger" type="reset"> Reset</button>
            </div>
             @endforeach
            @endif
        </form>
      </div>
  <!-- /.row-->
    </div>
</div>
@endsection

resources/views/dashboard/admin/userEditForm.blade.php
@extends('dashboard.blog')

@section('content')
  <div class="container-fluid">
    <div class="animated fadeIn">
      <div class="row">
        <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
          <div class="card">
              <div class="card-header">
                {{ __('Edit') }} {{ $user->name }}</div>
                <div class="card-body">
                  <br>
                  <form method="POST" action="/admin/member/{{ $user->id }}">
                    @csrf
                    @method('PUT')
                    <div class="input-group row">
                      <label class="col-md-3 col-form-label" for="email">Name</label>
                       <div class="col-md-9 col-form-label">
                         <input class="form-control" type="text" placeholder="{{ __('Name') }}" name="name" value="{{ $user->name }}" required autofocus>
                       </div>
                    </div>
                    <div class="input-group row">
                      <label class="col-md-3 col-form-label" for="email">Email</label>
                       <div class="col-md-9 col-form-label">
                         <input class="form-control" type="text" placeholder="{{ __('E-Mail Address') }}" name="email" value="{{ $user->email }}" required>
                      </div>
                    </div>
                    <div class="input-group row">
                      <label class="col-md-3 col-form-label" for="email">Roles</label>
                      <div class="col-md-9 col-form-label">
                        @foreach ($role as $item)
                          <div class="form-check form-check-inline mr-1">
                            <input 
                              class="form-check-input"
                              name="roles[{{$item->id}}]"
                              id="inline-checkbox[{{$item->id}}]" type="checkbox" {{ substr_count($user->menuroles, $item->name) ? 'checked' : '' }}
                              value="{{ $item->name }}"
                            >
                            <label class="form-check-label" for="inline-checkbox[{{$item->id}}]">{{ $item->name }}</label>
                          </div>
                        @endforeach
                      </div>
                    </div>

                    <div class="input-group row">
                      <label class="col-md-3 col-form-label" for="email">Verify</label>
                      <div class="col-md-9 col-form-label" id="" name="status">
                        <div class="form-check form-check-inline mr-5">
                          <input type="radio" name="status"  {{ $user->status != 1 ? 'disabled' : '' }} {{ $user->status == 1 ? 'checked' : '' }} value="1">
                          &nbsp;
                          <span class="col-form-label">Verify Wait</span>
                        </div>
                        <div class="form-check form-check-inline mr-5">
                          <input type="radio" name="status" {{ $user->status == 3 ? 'disabled' : '' }} {{ $user->status == 2 ? 'checked' : '' }} value="2">
                          &nbsp;
                          <span class="col-form-label">Verified</span>
                        </div>
                        <div class="form-check form-check-inline mr-5">
                          <input type="radio" name="status" {{ $user->status == 3 ? 'disabled' : '' }} {{ $user->status == 3 ? 'checked' : '' }} value="3" >
                          &nbsp;
                          <span class="col-form-label">Canceled</span>
                        </div>
                      </div>
                    </div>
                    <div class="card-footer">
                      <button class="btn btn-square btn-success" type="submit">{{ __('Save') }}</button>
                      <a href="{{ route('member.index') }}" class="btn btn-square btn-danger">{{ __('Cancel') }}</a>
                    </div>
                  </form>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>

@endsection

@section('javascript')

@endsection

resources/views/dashboard/admin/userShow.blade.php
@extends('dashboard.blog')

@section('content')

        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row">
              <div class="col-sm-6 col-md-5 col-lg-4 col-xl-3">
                <div class="card">
                    <div class="card-header">
                      <i class="fa fa-align-justify"></i> User {{ $user->name }}</div>
                    <div class="card-body">
                        <h4>Name: {{ $user->name }}</h4>
                        <h4>E-mail: {{ $user->email }}</h4>
                        <a href="{{ route('member.index') }}" class="btn btn-block btn-square btn-primary">{{ __('Return') }}</a>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection


@section('javascript')

@endsection

resources/views/dashboard/admin/usersList.blade.php
@extends('dashboard.blog')

@section('content')
        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row">
              <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <div class="card">
                    <div class="card-header">
                      Member Management
                     </div>
                    <div class="card-body">
                        <table class="table table-responsive-sm table-striped">
                        <thead>
                          <tr>
                            <th>Username</th>
                            <th>E-mail</th>
                            <th>Roles</th>
                            <th>Verified at</th>
                            <th>Status</th>
                            <th>View</th>
                            <th>Edit</th>
                            <th>Delete</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($users as $user)
                            <tr>
                              <td>{{ $user->name }}</td>
                              <td>{{ $user->email }}</td>
                              <td>{{ $user->menuroles }}</td>
                              <td>{{ $user->email_verified_at }}</td>
                              <td class="">
                                @if($user->status == 2)
                                  <span class="badge badge-success">Verified</span>
                                @elseif($user->status == 1)
                                  <span class="badge badge-warning">Verify Wait</span>
                                @elseif($user->status == 3)
                                  <span class="badge badge-danger">Cancelled</span>
                                @endif
                              </td>
                              <td>
                                <a href="{{ url('/admin/member/' . $user->id) }}" class="btn btn-square btn-success"><i class="fas fa-eye"></i></a>
                              </td>
                              <td>
                                <a href="{{ url('/admin/member/' . $user->id . '/edit') }}" class="btn btn-square btn-success"><i class="fas fa-edit"></i></a>
                              </td>
                              <td>
                                @if( $you->id !== $user->id )
                                <form action="{{ route('member.destroy', $user->id ) }}" method="POST">
                                  @method('DELETE')
                                  @csrf
                                  <button class="btn btn-square btn-danger " type="button" data-toggle="modal" data-target="#dangerModal-{{ $user->id}}"><i class="fas fa-trash-alt"></i></button>
                                  <div class="modal fade" id="dangerModal-{{ $user->id}}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-danger" role="document">
                                      <div class="modal-content">
                                        <div class="modal-header">
                                          <h4 class="modal-title">Save Blog</h4>
                                          <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                        </div>
                                        <div class="modal-body">
                                          <p>Are you sure you want to save changes?</p>
                                        </div>
                                        <div class="modal-footer">
                                          <button class="btn btn-secondary btn-square col-md-2" type="button" data-dismiss="modal">Close</button>
                                          <button type="submit" class="btn btn-square btn-danger col-md-2" value="upload">Save</button>
                                        </div>
                                      </div>
                                      <!-- /.modal-content-->
                                    </div>
                                    <!-- /.modal-dialog-->
                                  </div>
                                </form>
                                @endif
                              </td>
                            </tr>
                          @endforeach
                        </tbody>
                      </table>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection


@section('javascript')

@endsection